import React from 'react';
import KikiDiv from './kikidiv.js';


class restLogin extends React.Component {	
 constructor() {
    super();
	this.child = React.createRef();
	this.getLoginToken = this.getLoginToken.bind(this);
	this.initKiki = this.initKiki.bind(this);
	this.state = {
	  token : "",
	  userId : ""
	};
  }
  
  initKiki(){	  	
	this.child.current.init({
		loginPage : "/login",
		token : this.state.token,
		userId : this.state.userId
	});	
  }
  
  getLoginToken(){
	  var globalContext = this;
	  var userId= document.querySelector("#username").value;
	  this.state.userId= userId;
	  this.child.current.getToken(userId, function(okFlag, rstObj){
		if(okFlag){			
			globalContext.state.token = rstObj.token;			
		}
	  });
  }
  

  
  render() {   
    return (
      <div>
		<h1>REST login page</h1>
		<label htmlFor="username">Enter username</label>
        <input id="username" name="username" type="text"/>
		<button onClick={this.getLoginToken}>getToken</button>
		<button onClick={this.initKiki}>initKiki</button>
		
		<KikiDiv 
			appId="app_NWMUorVo00000" 
			appSecret="3c640d9eee6cceba1e291e7ea834c6f027899aa38eb7b589134dd9fb8e9c10fd"
			ref={this.child} 
		/>
      </div>
    );
  }
}

export default restLogin;