import React from 'react';
import ReactDOM from 'react-dom';


class KikiDiv extends React.Component {
	constructor(props) {
		super(props);
		this.kikiRdy = false;
		this.state = {
		  initOptions : {}
		};
	}
	
	kikiRdyFxn(opt){
		
	}
	
    render(){
        return (
            <div id="#kiki_container">
            </div>
        );
    }
	
	init(opt){
		
		if(!this.props.appId){
			 alert("appId가 존재하지 않습니다");
			 return		 
		}
		opt.appId = this.props.appId;
		/*if(!opt.loginPage){
			alert("로그인 페이지가 설정되어 있지 않습니다");
			return
		}*/
		this.state.initOptions=opt;
		if(!this.kikiRdy){
			this.kikiRdyFxn=this.kShopLoaded;
		}else{
			this.kShopLoaded();
		}
		
		
	} 
	
	kShopLoaded(){
		var opt =this.state.initOptions;
		if(opt.autoLogin=="N"){
			console.log("로그인 쿠키를 사용하고 있지 않습니다.");
			console.log("자동 로그인 사용을 원하시는 경우 init(true, login) 방식으로 호출해주세요.");			
		}		
		if(opt.loginPage){
			window.kshopMds.loginPage = opt.loginPage;	
			
		}
		window.kshopMds.init(opt);			
	}
	
	getToken(userId, cb){
		 var appId,userId,appSecret;
		  if(!this.props.appId){
			 alert("appId가 존재하지 않습니다");
			 return		 
		  }
		  if(!userId){
			 alert("userId가 존재하지 않습니다");
			 return		 
		  }
		  if(!this.props.appSecret){
			 alert("appSecret이 존재하지 않습니다");
			 return		 
		  }
		
		fetch("http://gamekiki.com:3000/login?appId="+this.props.appId+"&userId="+userId+"&secretKey="+this.props.appSecret, 
		{
			method: 'post',
			headers: {'Content-Type':'application/json'}
		}).
	  then(results=>{
		return results.json();  
	  }).then(data=>{
		  cb(true, data);
	  }).catch(function(error){
			cb(false,error);
	  });
	}
	
	login(opt){	
	  var appId,userId,appSecret;
	  if(!this.props.appId){
		 alert("appId가 존재하지 않습니다");
		 return		 
	  }
	  if(!opt.userId){
		 alert("userId가 존재하지 않습니다");
		 return		 
	  }
	  if(!this.props.appSecret){
		 alert("appSecret이 존재하지 않습니다");
		 return		 
	  }
		appId=this.props.appId;
		userId=opt.userId;
		
			var _opt = opt;
			var globalContext=this;
			this.getToken(opt.userId, function(ynFlag, res){	
				if(ynFlag){
					globalContext.saveUserInfo({
						token : res["token"],
						appId :appId,
						userId : userId					
					});					
				}
				_opt.callback(ynFlag, res);
			});
		
	}
	
	logout(callback){
		if(!this.kikiRdy){
			this.kikiRdyFxn= function(){
				window.kshopMds.logout();
				
			};
		}else{
			window.kshopMds.logout();
				
		}
	}
	
	saveUserInfo(opt){
		 var tokenArry = (opt.token).split(".");
		 var expire = new Date();
		 expire.setTime(expire.getTime() + (1000*3600*24));
			 
		 document.cookie = "kiki_wg_tk_fr" + '=' + tokenArry[0] + ';' + 'path=/' + ';'+'expires=' + expire.toUTCString();	
		document.cookie = "kiki_wg_tk_sc" + '=' + tokenArry[1] + ';' + 'path=/' + ';'+'expires=' + expire.toUTCString();	
		document.cookie = "kiki_wg_tk_tr" + '=' + tokenArry[2] + ';' + 'path=/' + ';'+'expires=' + expire.toUTCString();	
		document.cookie = "kiki_wg_pId" + '=' + opt.appId + ';' + 'path=/' + ';'+'expires=' + expire.toUTCString();	
	   document.cookie = "kiki_wg_uId" + '=' + opt.userId + ';' + 'path=/' + ';'+'expires=' + expire.toUTCString();	
	}

	componentDidMount (){
		this.callRemoteScript();
	}
	
	callRemoteScript(){
		var globalContext =this;
		var script= document.createElement("script");
		script.onload = function(){	
			globalContext.kikiRdy=true;
			globalContext.kikiRdyFxn();
		}
		script.src="http://gamekiki.com/kshop/kwidget/js/kwidget.js";
		
		script.async = true;
		if(!window.jQuery){
			var jScript = document.createElement("script");
			jScript.src="http://gamekiki.com/kshop/kwidget/js/jquery-3.2.1.min.js";
			 jScript.async = true;

			jScript.onload=function(){
				document.body.appendChild(script);
			}
			document.body.appendChild(jScript);			
		}else{
			document.body.appendChild(script);
		}
	}
	
}

export default KikiDiv;


